#ifndef SRC_CIRCULAR_BUFFER_H_
#define SRC_CIRCULAR_BUFFER_H_
#include <stdint.h>

class CircularBuffer
{
	uint8_t *mBuffer;
	int mSize;
	int mHead;
	int mTail;
	bool mFull;

	bool put(uint8_t byte);
	bool get(uint8_t *byte);
public:
	CircularBuffer(int size);
	virtual ~CircularBuffer();

	int put(uint8_t *data, int len);
	int get(uint8_t *data, int len);
};

#endif /* SRC_CIRCULAR_BUFFER_H_ */
